<?php

namespace App\Model;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Menu extends Eloquent {

	protected $table = 'menus';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function user()
	{
		return $this->hasOne('App\User');
	}

	public function post_id()
	{
		return $this->belongsTo('App\Model\Post');
	}

	public function sub()
	{
		return $this->hasMany('App\Model\Menu', 'id', 'category_id');
	}

	public function site()
	{
		return $this->hasOne('App\Model\Site');
	}

}