<?php

namespace App\Model;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Post extends Eloquent {

	protected $table = 'posts';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function category()
	{
		return $this->belongsTo('App\Model\PostCategory', 'id', 'category_id');
	}

	public function site()
	{
		return $this->hasOne('App\Model\Site', 'id', 'site_id');
	}

	public function user()
	{
		return $this->hasOne('App\User');
	}

}